const prod = process.env.NODE_ENV === 'production';

module.exports = function() {
  return {
    presets: [
      [
        '@babel/preset-env',
        {
          loose: true,
          targets: {
            ie: 9
          }
        }
      ],
      '@babel/preset-react'
    ],
    plugins: [
      '@babel/plugin-transform-runtime',
      '@babel/plugin-proposal-export-default-from',
      '@babel/plugin-syntax-dynamic-import',
      ['@babel/plugin-proposal-class-properties', { loose: true }],
      ['babel-plugin-emotion', { sourceMap: prod ? false : true }],
      'babel-plugin-preval'
    ]
  };
};
